# Generated by Django 4.2.3 on 2023-07-24 19:45

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('school_management', '0004_rename_name_student_firstname_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Teacher',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('rating', models.DecimalField(decimal_places=1, max_digits=3)),
                ('subjects', models.ManyToManyField(related_name='teachers', to='school_management.course')),
            ],
        ),
        migrations.RenameField(
            model_name='attendance',
            old_name='subject',
            new_name='course',
        ),
        migrations.RemoveField(
            model_name='attendance',
            name='attendance_date',
        ),
        migrations.RemoveField(
            model_name='attendance',
            name='created_at',
        ),
        migrations.RemoveField(
            model_name='attendance',
            name='updated_at',
        ),
        migrations.AddField(
            model_name='attendance',
            name='date',
            field=models.DateField(default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='attendance',
            name='student',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='school_management.profile'),
        ),
        migrations.DeleteModel(
            name='Group',
        ),
        migrations.AlterField(
            model_name='course',
            name='teacher',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='courses', to='school_management.teacher'),
        ),
    ]
